export interface RequestOptions {
    method?: 'get' | 'post';
    responseType?: 'json' | 'blob' | 'arraybuffer';
    data?: XMLHttpRequestBodyInit | null;
}
export declare function requestAsync(url: string, options?: RequestOptions): Promise<any>;
export declare function loadImageAsync(imgOrURL: string | HTMLImageElement | Blob, options?: {
    asImageBitMap?: boolean;
    revokeURL?: boolean;
}): Promise<HTMLImageElement | ImageBitmap>;
