import type { RendererExtensions, RenderPass, Texture } from '../../types';
import type { MarsTexture } from './MarsTexture';
import type { MarsRenderer } from './MarsRenderer';
import { MarsRenderPass } from './MarsRenderPass';
export declare class MarsExtWrap implements RendererExtensions {
    _copyRenderPass?: MarsRenderPass;
    renderer?: MarsRenderer;
    constructor(renderer: MarsRenderer);
    resetColorAttachments(rp: RenderPass, colorTextures: Texture[]): void;
    copyTexture(source: Texture, tex: Texture): void;
    copy2(source: MarsTexture, target: MarsTexture): void;
    copy1(source: MarsTexture, target: MarsTexture): void;
    _createCopyRenderPass(): MarsRenderPass;
    destroy(): void;
}
