import { MarsGeometry } from './MarsGeometry';
import type { SharedGeometry, SharedGeometryOptions } from '../../types';
import type { MarsRenderer } from './MarsRenderer';
export declare class MarsSharedGeometry extends MarsGeometry implements SharedGeometry {
    private readonly _source;
    renderer: MarsRenderer;
    constructor(opt: SharedGeometryOptions, renderer?: MarsRenderer);
    assignRenderer(renderer: MarsRenderer): MarsSharedGeometry;
    getAttributeNames(): string[];
    getAttributeDataLength(name: string): number;
    flush(): boolean;
    destroy(): void;
}
