import type { GLGPURenderer } from './GLGPURenderer';
export declare function createVAO(renderer: GLGPURenderer, name?: string): GLVertexArrayObject | undefined;
export declare class GLVertexArrayObject {
    readonly renderer: GLGPURenderer;
    readonly vao: WebGLVertexArrayObject;
    ready: boolean;
    constructor(renderer: GLGPURenderer, name?: string);
    destroy(): void;
    bind(): void;
    unbind(): void;
}
