import type { TextureOptions } from '../../types';
export declare class KhronosTextureContainer {
    arrayBuffer: ArrayBuffer;
    baseOffset: number;
    glType: number;
    glTypeSize: number;
    glFormat: number;
    glInternalFormat: number;
    glBaseInternalFormat: number;
    pixelWidth: number;
    pixelHeight: number;
    loadType: number;
    pixelDepth: number;
    numberOfArrayElements: number;
    numberOfFaces: number;
    numberOfMipmapLevels: number;
    bytesOfKeyValueData: number;
    constructor(arrayBuffer: ArrayBuffer, baseOffset?: number);
    mipmaps(loadMipmaps: boolean): Array<{
        data: Uint8Array;
        width: number;
        height: number;
    }>;
}
export declare function getCompressedTextureOptions(data: ArrayBuffer): TextureOptions;
