export declare const constants: WebGL2RenderingContext;

export enum DestroyOptions {
  destroy = 0,
  keep = 1,
  force = destroy,
}

export enum PredyTextEncoding {
  utf8 = 0,
  ascii = 1,
}

export enum PredyVideoCodec {
  h264 = 'avc1',
  h265 = 'hev1',
  av1 = 'av1'
}

export enum PredyResourceCacheStatus {
  noCache = 0, // 没有缓存，走网络请求
  cached = 1, // 命中缓存，如果请求同一个url，在关闭APP之前，一定会命中缓存，关闭APP后，清理时间由系统决定
  preloaded = 2, // 命中预推
  hitCDN = 3, // 从正常CDN加载
  missCDN = 4, // CDN异常加载（回源）
}

