import type { ResourceInternal } from './ResourceInternal';
import type { MaterialRenderStates } from '../Material';
import type { DataBlockInternal } from './DataBlockInternal';
export interface MaterialInternalOptions {
    states: MaterialRenderStates;
    dataBlocks: DataBlockInternal[];
    shaderCacheId: string;
    name: string;
}
export declare abstract class MaterialInternal implements ResourceInternal {
    readonly isDestroyed: boolean;
    readonly name: string;
    readonly shaderCacheId: string;
    dataBlocks: DataBlockInternal[];
    protected constructor(options: MaterialInternalOptions);
    abstract destroy(): void;
}
