import type { RenderPassAttachmentStorageType } from '../RenderPass';
type MetalRenderPassColorFormat = WebGL2RenderingContext['RGBA8'] | WebGL2RenderingContext['RGBA16F'] | WebGL2RenderingContext['RGBA32F'] | WebGL2RenderingContext['R16F'] | WebGL2RenderingContext['R32F'];
interface MetalRenderPassAttachmentFormat {
    colors: MetalRenderPassColorFormat[];
    depth: RenderPassAttachmentStorageType;
    stencil: RenderPassAttachmentStorageType;
    id?: string;
}
export interface MetalInternal {
    addRenderPassAttachmentFormat(format: MetalRenderPassAttachmentFormat): string;
}
export {};
