export interface Canvas {
  width: number,
  height: number,
  addEventListener(name: string, handler: Function): void,

  removeEventListener(name: string, handler: Function): void,

}

export class CanvasEmpty implements Canvas {
  width = 0;
  height = 0;
  style = {};
  addEventListener (name: string, handler: Function) {
  }

  removeEventListener (name: string, handler: Function) {
  }
}
